Skip to content
Start here

Replace Zero Trust organization trust settings

PUT/accounts/{account_id}/access/organizations/trust_settings

Replaces the trust settings for your Zero Trust organization.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Organizations, Identity Providers, and Groups Write
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
Body ParametersJSONExpand Collapse
grant_trust_to_all_accounts_in_org: boolean

Whether all accounts in the organization are trusted to use this account’s cross-account Access resources.

trusting_accounts: optional array of string

Explicit account IDs trusted to use this account’s cross-account Access resources. At most 100 unique valid account IDs are accepted. Omitted from responses when empty.

ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional object { grant_trust_to_all_accounts_in_org, trusting_accounts }
grant_trust_to_all_accounts_in_org: boolean

Whether all accounts in the organization are trusted to use this account’s cross-account Access resources.

trusting_accounts: optional array of string

Explicit account IDs trusted to use this account’s cross-account Access resources. At most 100 unique valid account IDs are accepted. Omitted from responses when empty.

Replace Zero Trust organization trust settings

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/access/organizations/trust_settings \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "grant_trust_to_all_accounts_in_org": false,
          "trusting_accounts": [
            "023e105f4ecef8ad9ca31a8372d0c353"
          ]
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "grant_trust_to_all_accounts_in_org": false,
    "trusting_accounts": [
      "023e105f4ecef8ad9ca31a8372d0c353"
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "grant_trust_to_all_accounts_in_org": false,
    "trusting_accounts": [
      "023e105f4ecef8ad9ca31a8372d0c353"
    ]
  }
}